OpenTTD Source: DummyFollower Struct Reference

OpenTTD Source 15.0-beta1

DummyFollower Struct Reference
Inheritance diagram for DummyFollower:

## Additional Inherited Members
Public Types inherited from CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
enum | ErrorCode { EC_NONE , EC_OWNER , EC_RAIL_ROAD_TYPE , EC_90DEG , EC_NO_WAY , EC_RESERVED }
Public Member Functions inherited from CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
| CFollowTrackT (const VehicleType *v=nullptr, RailTypes railtype_override=INVALID_RAILTYPES)
| CFollowTrackT (Owner o, RailTypes railtype_override=INVALID_RAILTYPES)
void | Init (const VehicleType *v, RailTypes railtype_override)
void | Init (Owner o, RailTypes railtype_override)
bool | IsTram ()
DiagDirection | GetSingleTramBit (TileIndex tile)
| Tests if a tile is a road tile with a single tramtrack (tram can reverse)
bool | Follow (TileIndex old_tile, Trackdir old_td)
| main follower routine.
bool | MaskReservedTracks ()
int | GetSpeedLimit (int *pmin_speed=nullptr) const
| Helper for pathfinders - get min/max speed on the old_tile/old_td.
Static Public Member Functions inherited from CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
static debug_inline TransportType | TT ()
static debug_inline bool | IsWaterTT ()
static debug_inline bool | IsRailTT ()
static debug_inline bool | IsRoadTT ()
static bool | Allow90degTurns ()
static bool | DoTrackMasking ()
Data Fields inherited from CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
const VehicleType * | veh
| moving vehicle
Owner | veh_owner
| owner of the vehicle
TileIndex | old_tile
| the origin (vehicle moved from) before move
Trackdir | old_td
| the trackdir (the vehicle was on) before move
TileIndex | new_tile
| the new tile (the vehicle has entered)
TrackdirBits | new_td_bits
| the new set of available trackdirs
DiagDirection | exitdir
| exit direction (leaving the old tile)
bool | is_tunnel
| last turn passed tunnel
bool | is_bridge
| last turn passed bridge ramp
bool | is_station
| last turn passed station
int | tiles_skipped
| number of skipped tunnel or station tiles
ErrorCode | err
RailTypes | railtypes
Protected Member Functions inherited from CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
void | FollowTileExit ()
| Follow the exitdir from old_tile and fill new_tile and tiles_skipped.
bool | QueryNewTileTrackStatus ()
| stores track status (available trackdirs) for the new tile into new_td_bits
bool | CanExitOldTile ()
| return true if we can leave old_tile in exitdir
bool | CanEnterNewTile ()
| return true if we can enter new_tile from exitdir
bool | ForcedReverse ()
| return true if we must reverse (in depots and single tram bits)
bool | TryReverse ()
| return true if we successfully reversed at end of road/track

## Detailed Description

Definition at line 259 of file yapf_ship_regions.cpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_ship_regions.cpp